Redmine - Defect #696

Moving of issues clears relations
2008-02-20 10:40 - Christian Bryn

Status: Closed Start date: 2008-02-20
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution: Affected version:

Description
Hi!

When moving issues between projects, relations are lost. This can be frustrating when you've allowed cross project issue relations. |
feel a checkbox 'keep issue relations on move' would be appropriate.

I've simply commented it out under Redmine 0.6.3, but | can see this feature is still present in subversion.
I've attached the simple fix | used for app/models/issue.rb

Cheers!
Christian Bryn

Associated revisions

Revision 1164 - 2008-02-21 18:45 - Jean-Philippe Lang

Do not clear issue relations when moving an issue to another project if cross-project issue relations are allowed (closes #696).

History

#1 - 2008-02-21 20:30 - Jean-Philippe Lang
- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset r1164.

Files

issue.rb.patch 158 Bytes 2008-02-20 Christian Bryn
